首页新闻找找看学习计划

运行selenium文件,出现错误:selenium.common.exceptions.WebDriverException: Message: invalid argument: can't kill an exited process

0
悬赏园豆:5 [待解决问题]

1,装的是最新版的Firefox和驱动,但是运行就会出这个错,网上有人说是版本问题,但是我是最新的
Firefox和geckodriver,不应该会出现驱动的浏览器不匹配的问题。
2,geckodriver.log中有XPCOMGlueLoad error for file /Vir/agency_spider/bin/firefox/libmozgtk.so:
libgtk-3.so.0: cannot open shared object file: No such file or directory
Couldn't load XPCOM
但是去yum install libgtk-3.so.0显示没有这个包 ,gtk3也是没有包,就很奇怪,问问各位大佬怎么解决

问题补充:

周荀的主页 周荀 | 初学一级 | 园豆:149
提问于:2019-11-11 14:40
< >
分享
所有回答(2)
0

能把你的代码和错误信息最后一句话截图出来嘛

小小咸鱼YwY | 园豆:1001 (小虾三级) | 2019-11-11 14:58

行重新上传了 你看看

支持(0) 反对(0) 周荀 | 园豆:149 (初学一级) | 2019-11-11 15:34

@周荀: 你如果是刚刚安装了驱动,请你重启一下,diver安装后需要重启才生效

支持(0) 反对(0) 小小咸鱼YwY | 园豆:1001 (小虾三级) | 2019-11-11 15:36

@小小咸鱼YwY:重启了,服务器都关了重新开的,但是依旧是这个问题

支持(0) 反对(0) 周荀 | 园豆:149 (初学一级) | 2019-11-11 15:37

@周荀: 你是用啥写的爬虫脚本,如果是pytrhon脚本你打开我博客QQ联系把代码发我一下我看看

支持(0) 反对(0) 小小咸鱼YwY | 园豆:1001 (小虾三级) | 2019-11-11 15:39

@小小咸鱼YwY: 好的 我用短消息发你我的qq

支持(0) 反对(0) 周荀 | 园豆:149 (初学一级) | 2019-11-11 15:45
0

在书签里面翻到了这个
https://www.cnblogs.com/etangyushan/p/5529952.html
可以看看,参考。
驱动和浏览器匹配情况可以看下版本更新记录 https://github.com/mozilla/geckodriver/releases
有明确说明支持哪些版本,有的还提到了selenium的版本匹配情况。

Masako | 园豆:1741 (小虾三级) | 2019-11-11 15:33

好的,谢谢了,
我试试

支持(0) 反对(0) 周荀 | 园豆:149 (初学一级) | 2019-11-11 15:37
清除回答草稿
   您需要登录以后才能回答,未注册用户请先注册